Bug 809248 - lid open fails to wake Thinkpad T410 with i915 graphics
lid open fails to wake Thinkpad T410 with i915 graphics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 16:45 EDT by Andy Freeland
Modified: 2013-02-13 10:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:37:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Freeland 2012-04-02 16:45:46 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.79 Safari/535.11

When I attempt to wake my laptop from sleep by opening the lid, it wakes briefly, and then suspends again.

Pressing the suspend/wake key wakes the computer.

Reproducible: Sometimes

Steps to Reproduce:
1. Close lid, laptop sleeps.
2. Open lid, laptop wakes.

I think behavior is related to power status when sleeping. Occasionally it wakes fine, possibly when plugged in for both suspend and wake.
Actual Results:  
Open lid, laptop wakes briefly, goes back to sleep.

Pressing the suspend/wake key wakes the computer.

Expected Results:  
Laptop wakes.
Comment 1 Josh Boyer 2012-04-03 14:00:30 EDT
What kernel version?
Comment 2 Andy Freeland 2012-04-03 14:03:49 EDT
(In reply to comment #1)
> What kernel version?

3.3.0-8.fc16.x86_64
Comment 3 Andy Freeland 2012-04-04 12:35:47 EDT
Is there any log I should attach after a failed suspend/wake?
Comment 4 Jan Pazdziora 2012-09-03 12:10:30 EDT
I have T410 but the machine actually never sleeps properly, on lid close. Does your machine actually sleep?

I've found

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1004392
http://support.lenovo.com/en_ID/diagnose-and-fix/detail.page?DocID=HT037024

-- not sure, how related.

I see the problem with

kernel-PAE-3.5.2-3.fc17.i686

and I saw it with all previous Fedora 17 kernels.
Comment 5 Dave Jones 2012-10-23 11:25:33 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 6 Jan Pazdziora 2012-10-25 14:11:39 EDT
On my T410, with kernel-PAE-3.6.2-4.fc17.i686 I am able to suspend by closing lid and it really suspends (the moon stops flashing) and resumes, about ten times over the course of the last 48 hours -- something I was not able to do for months. Fingers crossed, hopefully it's permanent.
Comment 7 jnelson+fedora 2013-01-15 23:40:37 EST
I am experiencing this with the newly-released Fedora 18 (kernel: 3.7.2-201.fc18.x86_64) with a thinkpad T520.  I started using Fedora late in the Fedora 17 release cycle, and did not experience this before, making this a regression for me.
Comment 8 Fedora End Of Life 2013-01-16 09:32:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 10:37:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.